/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let SeriesViewerDescription = /*@__PURE__*/ (() => {
    class SeriesViewerDescription extends Description {
        constructor() {
            super();
            this.j = null;
            this.f = null;
            this.i = null;
            this.g = null;
            this.h = null;
            this.dr = null;
            this.p = null;
            this.dq = null;
            this.z = false;
            this.ae = false;
            this.ag = false;
            this.dh = null;
            this.dj = null;
            this.ep = null;
            this.dl = null;
            this.er = null;
            this.di = null;
            this.dk = null;
            this.a6 = 0;
            this.a5 = 0;
            this.a2 = 0;
            this.a3 = 0;
            this.a4 = 0;
            this.a8 = 0;
            this.a7 = 0;
            this.aa = false;
            this.eo = null;
            this.eq = null;
            this.br = 0;
            this.bq = 0;
            this.bo = 0;
            this.bu = 0;
            this.bp = 0;
            this.bt = 0;
            this.bs = 0;
            this.aj = false;
            this.dg = null;
            this.dm = null;
            this.dp = null;
            this.dn = null;
            this.s = null;
            this.u = null;
            this.ai = false;
            this.af = false;
            this.c3 = 0;
            this.c1 = 0;
            this.c2 = 0;
            this.ac = false;
            this.db = null;
            this.c7 = null;
            this.ad = false;
            this.ev = null;
            this.bx = 0;
            this.eg = null;
            this.dc = null;
            this.ew = null;
            this.dt = null;
            this.dd = null;
            this.d1 = null;
            this.de = null;
            this.ds = null;
            this.t = null;
            this.bv = 0;
            this.bw = 0;
            this.da = null;
            this.el = null;
            this.ed = null;
            this.en = null;
            this.ef = null;
            this.em = null;
            this.ee = null;
            this.bm = 0;
            this.bk = 0;
            this.bl = 0;
            this.bi = 0;
            this.bh = 0;
            this.bf = 0;
            this.bg = 0;
            this.bd = 0;
            this.d9 = null;
            this.bn = 0;
            this.ba = 0;
            this.bc = 0;
            this.a1 = 0;
            this.a0 = 0;
            this.az = 0;
            this.ab = false;
            this.bb = 0;
            this.a9 = 0;
            this.aw = 0;
            this.av = 0;
            this.r = null;
            this.ax = 0;
            this.ay = 0;
            this.dx = null;
            this.dy = null;
            this.du = null;
            this.dv = null;
            this.dw = null;
            this.dz = null;
            this.d2 = null;
            this.d5 = null;
            this.d6 = null;
            this.d7 = null;
            this.d3 = null;
            this.d4 = null;
            this.et = null;
            this.es = null;
            this.eu = null;
            this.d8 = null;
            this.c8 = null;
            this.df = null;
            this.d0 = null;
            this.c9 = null;
            this.ei = null;
            this.bj = 0;
            this.ek = null;
            this.ej = null;
            this.ea = null;
            this.be = 0;
            this.ec = null;
            this.eb = null;
            this.ah = false;
            this.eh = null;
        }
        get_type() {
            return "SeriesViewer";
        }
        get type() {
            return this.get_type();
        }
        get series() {
            return this.j;
        }
        set series(a) {
            this.j = a;
            this.e("Series");
        }
        get brushes() {
            return this.f;
        }
        set brushes(a) {
            this.f = a;
            this.e("Brushes");
        }
        get outlines() {
            return this.i;
        }
        set outlines(a) {
            this.i = a;
            this.e("Outlines");
        }
        get markerBrushes() {
            return this.g;
        }
        set markerBrushes(a) {
            this.g = a;
            this.e("MarkerBrushes");
        }
        get markerOutlines() {
            return this.h;
        }
        set markerOutlines(a) {
            this.h = a;
            this.e("MarkerOutlines");
        }
        get markerAutomaticBehavior() {
            return this.dr;
        }
        set markerAutomaticBehavior(a) {
            this.dr = a;
            this.e("MarkerAutomaticBehavior");
        }
        get crosshairPoint() {
            return this.p;
        }
        set crosshairPoint(a) {
            this.p = a;
            this.e("CrosshairPoint");
        }
        get legendRef() {
            return this.dq;
        }
        set legendRef(a) {
            this.dq = a;
            this.e("LegendRef");
        }
        get animateSeriesWhenAxisRangeChanges() {
            return this.z;
        }
        set animateSeriesWhenAxisRangeChanges(a) {
            this.z = a;
            this.e("AnimateSeriesWhenAxisRangeChanges");
        }
        get isWindowSyncedToVisibleRange() {
            return this.ae;
        }
        set isWindowSyncedToVisibleRange(a) {
            this.ae = a;
            this.e("IsWindowSyncedToVisibleRange");
        }
        get shouldSimulateHoverMoveCrosshairPoint() {
            return this.ag;
        }
        set shouldSimulateHoverMoveCrosshairPoint(a) {
            this.ag = a;
            this.e("ShouldSimulateHoverMoveCrosshairPoint");
        }
        get highlightingMode() {
            return this.dh;
        }
        set highlightingMode(a) {
            this.dh = a;
            this.e("HighlightingMode");
        }
        get horizontalViewScrollbarMode() {
            return this.dj;
        }
        set horizontalViewScrollbarMode(a) {
            this.dj = a;
            this.e("HorizontalViewScrollbarMode");
        }
        get verticalViewScrollbarMode() {
            return this.ep;
        }
        set verticalViewScrollbarMode(a) {
            this.ep = a;
            this.e("VerticalViewScrollbarMode");
        }
        get horizontalViewScrollbarPosition() {
            return this.dl;
        }
        set horizontalViewScrollbarPosition(a) {
            this.dl = a;
            this.e("HorizontalViewScrollbarPosition");
        }
        get verticalViewScrollbarPosition() {
            return this.er;
        }
        set verticalViewScrollbarPosition(a) {
            this.er = a;
            this.e("VerticalViewScrollbarPosition");
        }
        get horizontalViewScrollbarFill() {
            return this.di;
        }
        set horizontalViewScrollbarFill(a) {
            this.di = a;
            this.e("HorizontalViewScrollbarFill");
        }
        get horizontalViewScrollbarOutline() {
            return this.dk;
        }
        set horizontalViewScrollbarOutline(a) {
            this.dk = a;
            this.e("HorizontalViewScrollbarOutline");
        }
        get horizontalViewScrollbarStrokeThickness() {
            return this.a6;
        }
        set horizontalViewScrollbarStrokeThickness(a) {
            this.a6 = a;
            this.e("HorizontalViewScrollbarStrokeThickness");
        }
        get horizontalViewScrollbarMaxOpacity() {
            return this.a5;
        }
        set horizontalViewScrollbarMaxOpacity(a) {
            this.a5 = a;
            this.e("HorizontalViewScrollbarMaxOpacity");
        }
        get horizontalViewScrollbarCornerRadius() {
            return this.a2;
        }
        set horizontalViewScrollbarCornerRadius(a) {
            this.a2 = a;
            this.e("HorizontalViewScrollbarCornerRadius");
        }
        get horizontalViewScrollbarHeight() {
            return this.a3;
        }
        set horizontalViewScrollbarHeight(a) {
            this.a3 = a;
            this.e("HorizontalViewScrollbarHeight");
        }
        get horizontalViewScrollbarInset() {
            return this.a4;
        }
        set horizontalViewScrollbarInset(a) {
            this.a4 = a;
            this.e("HorizontalViewScrollbarInset");
        }
        get horizontalViewScrollbarTrackStartInset() {
            return this.a8;
        }
        set horizontalViewScrollbarTrackStartInset(a) {
            this.a8 = a;
            this.e("HorizontalViewScrollbarTrackStartInset");
        }
        get horizontalViewScrollbarTrackEndInset() {
            return this.a7;
        }
        set horizontalViewScrollbarTrackEndInset(a) {
            this.a7 = a;
            this.e("HorizontalViewScrollbarTrackEndInset");
        }
        get horizontalViewScrollbarShouldAddAutoTrackInsets() {
            return this.aa;
        }
        set horizontalViewScrollbarShouldAddAutoTrackInsets(a) {
            this.aa = a;
            this.e("HorizontalViewScrollbarShouldAddAutoTrackInsets");
        }
        get verticalViewScrollbarFill() {
            return this.eo;
        }
        set verticalViewScrollbarFill(a) {
            this.eo = a;
            this.e("VerticalViewScrollbarFill");
        }
        get verticalViewScrollbarOutline() {
            return this.eq;
        }
        set verticalViewScrollbarOutline(a) {
            this.eq = a;
            this.e("VerticalViewScrollbarOutline");
        }
        get verticalViewScrollbarStrokeThickness() {
            return this.br;
        }
        set verticalViewScrollbarStrokeThickness(a) {
            this.br = a;
            this.e("VerticalViewScrollbarStrokeThickness");
        }
        get verticalViewScrollbarMaxOpacity() {
            return this.bq;
        }
        set verticalViewScrollbarMaxOpacity(a) {
            this.bq = a;
            this.e("VerticalViewScrollbarMaxOpacity");
        }
        get verticalViewScrollbarCornerRadius() {
            return this.bo;
        }
        set verticalViewScrollbarCornerRadius(a) {
            this.bo = a;
            this.e("VerticalViewScrollbarCornerRadius");
        }
        get verticalViewScrollbarWidth() {
            return this.bu;
        }
        set verticalViewScrollbarWidth(a) {
            this.bu = a;
            this.e("VerticalViewScrollbarWidth");
        }
        get verticalViewScrollbarInset() {
            return this.bp;
        }
        set verticalViewScrollbarInset(a) {
            this.bp = a;
            this.e("VerticalViewScrollbarInset");
        }
        get verticalViewScrollbarTrackStartInset() {
            return this.bt;
        }
        set verticalViewScrollbarTrackStartInset(a) {
            this.bt = a;
            this.e("VerticalViewScrollbarTrackStartInset");
        }
        get verticalViewScrollbarTrackEndInset() {
            return this.bs;
        }
        set verticalViewScrollbarTrackEndInset(a) {
            this.bs = a;
            this.e("VerticalViewScrollbarTrackEndInset");
        }
        get verticalViewScrollbarShouldAddAutoTrackInsets() {
            return this.aj;
        }
        set verticalViewScrollbarShouldAddAutoTrackInsets(a) {
            this.aj = a;
            this.e("VerticalViewScrollbarShouldAddAutoTrackInsets");
        }
        get highlightingBehavior() {
            return this.dg;
        }
        set highlightingBehavior(a) {
            this.dg = a;
            this.e("HighlightingBehavior");
        }
        get legendHighlightingMode() {
            return this.dm;
        }
        set legendHighlightingMode(a) {
            this.dm = a;
            this.e("LegendHighlightingMode");
        }
        get legendItemBadgeShape() {
            return this.dp;
        }
        set legendItemBadgeShape(a) {
            this.dp = a;
            this.e("LegendItemBadgeShape");
        }
        get legendItemBadgeMode() {
            return this.dn;
        }
        set legendItemBadgeMode(a) {
            this.dn = a;
            this.e("LegendItemBadgeMode");
        }
        get effectiveViewport() {
            return this.s;
        }
        set effectiveViewport(a) {
            this.s = a;
            this.e("EffectiveViewport");
        }
        get windowRect() {
            return this.u;
        }
        set windowRect(a) {
            this.u = a;
            this.e("WindowRect");
        }
        get useTiledZooming() {
            return this.ai;
        }
        set useTiledZooming(a) {
            this.ai = a;
            this.e("UseTiledZooming");
        }
        get preferHigherResolutionTiles() {
            return this.af;
        }
        set preferHigherResolutionTiles(a) {
            this.af = a;
            this.e("PreferHigherResolutionTiles");
        }
        get zoomTileCacheSize() {
            return this.c3;
        }
        set zoomTileCacheSize(a) {
            this.c3 = a;
            this.e("ZoomTileCacheSize");
        }
        get highlightingTransitionDuration() {
            return this.c1;
        }
        set highlightingTransitionDuration(a) {
            this.c1 = a;
            this.e("HighlightingTransitionDuration");
        }
        get scrollbarsAnimationDuration() {
            return this.c2;
        }
        set scrollbarsAnimationDuration(a) {
            this.c2 = a;
            this.e("ScrollbarsAnimationDuration");
        }
        get isPagePanningAllowed() {
            return this.ac;
        }
        set isPagePanningAllowed(a) {
            this.ac = a;
            this.e("IsPagePanningAllowed");
        }
        get contentHitTestMode() {
            return this.db;
        }
        set contentHitTestMode(a) {
            this.db = a;
            this.e("ContentHitTestMode");
        }
        get actualContentHitTestMode() {
            return this.c7;
        }
        set actualContentHitTestMode(a) {
            this.c7 = a;
            this.e("ActualContentHitTestMode");
        }
        get isSurfaceInteractionDisabled() {
            return this.ad;
        }
        set isSurfaceInteractionDisabled(a) {
            this.ad = a;
            this.e("IsSurfaceInteractionDisabled");
        }
        get windowResponse() {
            return this.ev;
        }
        set windowResponse(a) {
            this.ev = a;
            this.e("WindowResponse");
        }
        get windowRectMinWidth() {
            return this.bx;
        }
        set windowRectMinWidth(a) {
            this.bx = a;
            this.e("WindowRectMinWidth");
        }
        get syncChannel() {
            return this.eg;
        }
        set syncChannel(a) {
            this.eg = a;
            this.e("SyncChannel");
        }
        get crosshairVisibility() {
            return this.dc;
        }
        set crosshairVisibility(a) {
            this.dc = a;
            this.e("CrosshairVisibility");
        }
        get zoomCoercionMode() {
            return this.ew;
        }
        set zoomCoercionMode(a) {
            this.ew = a;
            this.e("ZoomCoercionMode");
        }
        get plotAreaBackground() {
            return this.dt;
        }
        set plotAreaBackground(a) {
            this.dt = a;
            this.e("PlotAreaBackground");
        }
        get defaultInteraction() {
            return this.dd;
        }
        set defaultInteraction(a) {
            this.dd = a;
            this.e("DefaultInteraction");
        }
        get rightButtonDefaultInteraction() {
            return this.d1;
        }
        set rightButtonDefaultInteraction(a) {
            this.d1 = a;
            this.e("RightButtonDefaultInteraction");
        }
        get dragModifier() {
            return this.de;
        }
        set dragModifier(a) {
            this.de = a;
            this.e("DragModifier");
        }
        get panModifier() {
            return this.ds;
        }
        set panModifier(a) {
            this.ds = a;
            this.e("PanModifier");
        }
        get previewRect() {
            return this.t;
        }
        set previewRect(a) {
            this.t = a;
            this.e("PreviewRect");
        }
        get windowPositionHorizontal() {
            return this.bv;
        }
        set windowPositionHorizontal(a) {
            this.bv = a;
            this.e("WindowPositionHorizontal");
        }
        get windowPositionVertical() {
            return this.bw;
        }
        set windowPositionVertical(a) {
            this.bw = a;
            this.e("WindowPositionVertical");
        }
        get chartTitle() {
            return this.da;
        }
        set chartTitle(a) {
            this.da = a;
            this.e("ChartTitle");
        }
        get titleHorizontalAlignment() {
            return this.el;
        }
        set titleHorizontalAlignment(a) {
            this.el = a;
            this.e("TitleHorizontalAlignment");
        }
        get subtitleHorizontalAlignment() {
            return this.ed;
        }
        set subtitleHorizontalAlignment(a) {
            this.ed = a;
            this.e("SubtitleHorizontalAlignment");
        }
        get titleTextStyle() {
            return this.en;
        }
        set titleTextStyle(a) {
            this.en = a;
            this.e("TitleTextStyle");
        }
        get subtitleTextStyle() {
            return this.ef;
        }
        set subtitleTextStyle(a) {
            this.ef = a;
            this.e("SubtitleTextStyle");
        }
        get titleTextColor() {
            return this.em;
        }
        set titleTextColor(a) {
            this.em = a;
            this.e("TitleTextColor");
        }
        get subtitleTextColor() {
            return this.ee;
        }
        set subtitleTextColor(a) {
            this.ee = a;
            this.e("SubtitleTextColor");
        }
        get titleTopMargin() {
            return this.bm;
        }
        set titleTopMargin(a) {
            this.bm = a;
            this.e("TitleTopMargin");
        }
        get titleLeftMargin() {
            return this.bk;
        }
        set titleLeftMargin(a) {
            this.bk = a;
            this.e("TitleLeftMargin");
        }
        get titleRightMargin() {
            return this.bl;
        }
        set titleRightMargin(a) {
            this.bl = a;
            this.e("TitleRightMargin");
        }
        get titleBottomMargin() {
            return this.bi;
        }
        set titleBottomMargin(a) {
            this.bi = a;
            this.e("TitleBottomMargin");
        }
        get subtitleTopMargin() {
            return this.bh;
        }
        set subtitleTopMargin(a) {
            this.bh = a;
            this.e("SubtitleTopMargin");
        }
        get subtitleLeftMargin() {
            return this.bf;
        }
        set subtitleLeftMargin(a) {
            this.bf = a;
            this.e("SubtitleLeftMargin");
        }
        get subtitleRightMargin() {
            return this.bg;
        }
        set subtitleRightMargin(a) {
            this.bg = a;
            this.e("SubtitleRightMargin");
        }
        get subtitleBottomMargin() {
            return this.bd;
        }
        set subtitleBottomMargin(a) {
            this.bd = a;
            this.e("SubtitleBottomMargin");
        }
        get subtitle() {
            return this.d9;
        }
        set subtitle(a) {
            this.d9 = a;
            this.e("Subtitle");
        }
        get topMargin() {
            return this.bn;
        }
        set topMargin(a) {
            this.bn = a;
            this.e("TopMargin");
        }
        get leftMargin() {
            return this.ba;
        }
        set leftMargin(a) {
            this.ba = a;
            this.e("LeftMargin");
        }
        get rightMargin() {
            return this.bc;
        }
        set rightMargin(a) {
            this.bc = a;
            this.e("RightMargin");
        }
        get bottomMargin() {
            return this.a1;
        }
        set bottomMargin(a) {
            this.a1 = a;
            this.e("BottomMargin");
        }
        get autoMarginWidth() {
            return this.a0;
        }
        set autoMarginWidth(a) {
            this.a0 = a;
            this.e("AutoMarginWidth");
        }
        get autoMarginHeight() {
            return this.az;
        }
        set autoMarginHeight(a) {
            this.az = a;
            this.e("AutoMarginHeight");
        }
        get isAntiAliasingEnabledDuringInteraction() {
            return this.ab;
        }
        set isAntiAliasingEnabledDuringInteraction(a) {
            this.ab = a;
            this.e("IsAntiAliasingEnabledDuringInteraction");
        }
        get pixelScalingRatio() {
            return this.bb;
        }
        set pixelScalingRatio(a) {
            this.bb = a;
            this.e("PixelScalingRatio");
        }
        get interactionPixelScalingRatio() {
            return this.a9;
        }
        set interactionPixelScalingRatio(a) {
            this.a9 = a;
            this.e("InteractionPixelScalingRatio");
        }
        get actualPixelScalingRatio() {
            return this.aw;
        }
        set actualPixelScalingRatio(a) {
            this.aw = a;
            this.e("ActualPixelScalingRatio");
        }
        get actualInteractionPixelScalingRatio() {
            return this.av;
        }
        set actualInteractionPixelScalingRatio(a) {
            this.av = a;
            this.e("ActualInteractionPixelScalingRatio");
        }
        get actualWindowRect() {
            return this.r;
        }
        set actualWindowRect(a) {
            this.r = a;
            this.e("ActualWindowRect");
        }
        get actualWindowPositionHorizontal() {
            return this.ax;
        }
        set actualWindowPositionHorizontal(a) {
            this.ax = a;
            this.e("ActualWindowPositionHorizontal");
        }
        get actualWindowPositionVertical() {
            return this.ay;
        }
        set actualWindowPositionVertical(a) {
            this.ay = a;
            this.e("ActualWindowPositionVertical");
        }
        get plotAreaMouseLeftButtonDownRef() {
            return this.dx;
        }
        set plotAreaMouseLeftButtonDownRef(a) {
            this.dx = a;
            this.e("PlotAreaMouseLeftButtonDownRef");
        }
        get plotAreaMouseLeftButtonUpRef() {
            return this.dy;
        }
        set plotAreaMouseLeftButtonUpRef(a) {
            this.dy = a;
            this.e("PlotAreaMouseLeftButtonUpRef");
        }
        get plotAreaClickedRef() {
            return this.du;
        }
        set plotAreaClickedRef(a) {
            this.du = a;
            this.e("PlotAreaClickedRef");
        }
        get plotAreaMouseEnterRef() {
            return this.dv;
        }
        set plotAreaMouseEnterRef(a) {
            this.dv = a;
            this.e("PlotAreaMouseEnterRef");
        }
        get plotAreaMouseLeaveRef() {
            return this.dw;
        }
        set plotAreaMouseLeaveRef(a) {
            this.dw = a;
            this.e("PlotAreaMouseLeaveRef");
        }
        get plotAreaMouseOverRef() {
            return this.dz;
        }
        set plotAreaMouseOverRef(a) {
            this.dz = a;
            this.e("PlotAreaMouseOverRef");
        }
        get seriesCursorMouseMoveRef() {
            return this.d2;
        }
        set seriesCursorMouseMoveRef(a) {
            this.d2 = a;
            this.e("SeriesCursorMouseMoveRef");
        }
        get seriesMouseLeftButtonDownRef() {
            return this.d5;
        }
        set seriesMouseLeftButtonDownRef(a) {
            this.d5 = a;
            this.e("SeriesMouseLeftButtonDownRef");
        }
        get seriesMouseLeftButtonUpRef() {
            return this.d6;
        }
        set seriesMouseLeftButtonUpRef(a) {
            this.d6 = a;
            this.e("SeriesMouseLeftButtonUpRef");
        }
        get seriesMouseMoveRef() {
            return this.d7;
        }
        set seriesMouseMoveRef(a) {
            this.d7 = a;
            this.e("SeriesMouseMoveRef");
        }
        get seriesMouseEnterRef() {
            return this.d3;
        }
        set seriesMouseEnterRef(a) {
            this.d3 = a;
            this.e("SeriesMouseEnterRef");
        }
        get seriesMouseLeaveRef() {
            return this.d4;
        }
        set seriesMouseLeaveRef(a) {
            this.d4 = a;
            this.e("SeriesMouseLeaveRef");
        }
        get viewerManipulationStartingRef() {
            return this.et;
        }
        set viewerManipulationStartingRef(a) {
            this.et = a;
            this.e("ViewerManipulationStartingRef");
        }
        get viewerManipulationEndingRef() {
            return this.es;
        }
        set viewerManipulationEndingRef(a) {
            this.es = a;
            this.e("ViewerManipulationEndingRef");
        }
        get windowRectChangedRef() {
            return this.eu;
        }
        set windowRectChangedRef(a) {
            this.eu = a;
            this.e("WindowRectChangedRef");
        }
        get sizeChangedRef() {
            return this.d8;
        }
        set sizeChangedRef(a) {
            this.d8 = a;
            this.e("SizeChangedRef");
        }
        get actualWindowRectChangedRef() {
            return this.c8;
        }
        set actualWindowRectChangedRef(a) {
            this.c8 = a;
            this.e("ActualWindowRectChangedRef");
        }
        get gridAreaRectChangedRef() {
            return this.df;
        }
        set gridAreaRectChangedRef(a) {
            this.df = a;
            this.e("GridAreaRectChangedRef");
        }
        get refreshCompletedRef() {
            return this.d0;
        }
        set refreshCompletedRef(a) {
            this.d0 = a;
            this.e("RefreshCompletedRef");
        }
        get background() {
            return this.c9;
        }
        set background(a) {
            this.c9 = a;
            this.e("Background");
        }
        get titleFontFamily() {
            return this.ei;
        }
        set titleFontFamily(a) {
            this.ei = a;
            this.e("TitleFontFamily");
        }
        get titleFontSize() {
            return this.bj;
        }
        set titleFontSize(a) {
            this.bj = a;
            this.e("TitleFontSize");
        }
        get titleFontWeight() {
            return this.ek;
        }
        set titleFontWeight(a) {
            this.ek = a;
            this.e("TitleFontWeight");
        }
        get titleFontStyle() {
            return this.ej;
        }
        set titleFontStyle(a) {
            this.ej = a;
            this.e("TitleFontStyle");
        }
        get subtitleFontFamily() {
            return this.ea;
        }
        set subtitleFontFamily(a) {
            this.ea = a;
            this.e("SubtitleFontFamily");
        }
        get subtitleFontSize() {
            return this.be;
        }
        set subtitleFontSize(a) {
            this.be = a;
            this.e("SubtitleFontSize");
        }
        get subtitleFontWeight() {
            return this.ec;
        }
        set subtitleFontWeight(a) {
            this.ec = a;
            this.e("SubtitleFontWeight");
        }
        get subtitleFontStyle() {
            return this.eb;
        }
        set subtitleFontStyle(a) {
            this.eb = a;
            this.e("SubtitleFontStyle");
        }
        get synchronizeHorizontally() {
            return this.ah;
        }
        set synchronizeHorizontally(a) {
            this.ah = a;
            this.e("SynchronizeHorizontally");
        }
        get synchronizeVertically() {
            return this.eh;
        }
        set synchronizeVertically(a) {
            this.eh = a;
            this.e("SynchronizeVertically");
        }
    }
    SeriesViewerDescription.$t = markType(SeriesViewerDescription, 'SeriesViewerDescription', Description.$);
    return SeriesViewerDescription;
})();
